#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,1040,2080,2160,2240,2320,2400,2480,2560,3120,4160
 * N : 25,240,320,400,480,1040,2080,2160,2240,2320,2400,2480,2560,3120,4160
 * NB : 5,12,20,80,80,88,48,64,80,80,80,48,144,80,224
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 5; \
   else if ((n_) < 280) (nb_) = 12; \
   else if ((n_) < 360) (nb_) = 20; \
   else if ((n_) < 760) (nb_) = 80; \
   else if ((n_) < 1560) (nb_) = 88; \
   else if ((n_) < 2120) (nb_) = 48; \
   else if ((n_) < 2200) (nb_) = 64; \
   else if ((n_) < 2440) (nb_) = 80; \
   else if ((n_) < 2520) (nb_) = 48; \
   else if ((n_) < 2840) (nb_) = 144; \
   else if ((n_) < 3640) (nb_) = 80; \
   else (nb_) = 224; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
