#ifndef ATL_zGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,208,416,520,624,676,728,832,1248,1456,1560,1664
 * N : 25,208,416,520,624,676,728,832,1248,1456,1560,1664
 * NB : 9,8,16,52,36,68,92,72,52,52,52,96
 */
#define ATL_zGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 116) (nb_) = 9; \
   else if ((n_) < 312) (nb_) = 8; \
   else if ((n_) < 468) (nb_) = 16; \
   else if ((n_) < 572) (nb_) = 52; \
   else if ((n_) < 650) (nb_) = 36; \
   else if ((n_) < 702) (nb_) = 68; \
   else if ((n_) < 780) (nb_) = 92; \
   else if ((n_) < 1040) (nb_) = 72; \
   else if ((n_) < 1612) (nb_) = 52; \
   else (nb_) = 96; \
}


#endif    /* end ifndef ATL_zGetNB_geqrf */
