#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,104,156,208,260,312,364,416,468,520,1040,1560,1820,1872,1924,2080
 * N : 25,104,156,208,260,312,364,416,468,520,1040,1560,1820,1872,1924,2080
 * NB : 8,8,16,52,24,28,36,52,80,136,136,136,128,156,160,160
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 130) (nb_) = 8; \
   else if ((n_) < 182) (nb_) = 16; \
   else if ((n_) < 234) (nb_) = 52; \
   else if ((n_) < 286) (nb_) = 24; \
   else if ((n_) < 338) (nb_) = 28; \
   else if ((n_) < 390) (nb_) = 36; \
   else if ((n_) < 442) (nb_) = 52; \
   else if ((n_) < 494) (nb_) = 80; \
   else if ((n_) < 1690) (nb_) = 136; \
   else if ((n_) < 1846) (nb_) = 128; \
   else if ((n_) < 1898) (nb_) = 156; \
   else (nb_) = 160; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
